
/* ==========================================================================
   Main Stylesheet for Extrawelt | アキラ
   Copyright 2014–2026 Akira
   ========================================================================== */

/*
@media (prefers-color-scheme: dark) {
  .extrawelt-logo {
    filter: drop-shadow(0 0 10px rgba(203, 182, 142, 0.45));
    transition: filter 0.3s ease;
  }

  .extrawelt-logo:hover {
    filter: drop-shadow(0 0 18px rgba(203, 182, 142, 0.75));
  }
}

@media (prefers-color-scheme: light) {
  .extrawelt-logo {
    filter: drop-shadow(0 0 6px rgba(152, 112, 77, 0.35));
    transition: filter 0.3s ease;
  }

  .extrawelt-logo:hover {
    filter: drop-shadow(0 0 10px rgba(152, 112, 77, 0.5));
  }
}

*/




a {
    background:0 0
}

a:active, a:hover {
    outline:0
}



html {
    font-family: sans-serif;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust:100%
    background: #122427;
    touch-action: manipulation;
    font-size: 15px;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
    -webkit-transform-style: preserve-3d;
    transform-style:preserve-3d
}

.extrawelt-logo {
  display: block;
  margin: 40px auto 0 auto;     /* zentriert + Abstand nach oben */
  max-width: 600px;             /* responsive Limit */
  width: 80%;                   /* für mobile */
  height: auto;
  color: var(--logo-main);      /* damit currentColor im SVG greift */
}

body {
    background: #122427;
    font-family: apertura, "Helvetica Neue", Arial, sans-serif;
    color: #fbf7f0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    fill: currentColor;
    position: absolute;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-tap-highlight-color: transparent;
    -webkit-perspective: 0;
    perspective: 0;
    overflow: hidden;
    -webkit-transform-origin: 0 0;
    transform-origin:0 0
   
}

 

body * {
    -webkit-user-drag: none;
    -moz-user-drag: -moz-none;
    user-drag: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor:default
}



a, a:active, a:visited {
    color: rgb(152, 181, 36);
    text-decoration:none
}

a:active, a:hover {
    color: rgb(152, 181, 36);
}


@media only screen and (max-width: 600px) {
    html {
        font-size:14px
    }
}

@media only screen and (max-width: 480px) {
    html {
        font-size:13px
    }
}

/* --------------------------------------------------------------------------
   UI: Custom scrollbars
   -------------------------------------------------------------------------- */


::-webkit-scrollbar {
  width:8px;
  height:8px
}

::-webkit-scrollbar-button:end:increment, ::-webkit-scrollbar-button:start:decrement {
  display:block;
  height:3px
}

::-webkit-scrollbar-button:vertical:increment {
  background-color:transparent
}

::-webkit-scrollbar-track-piece {
  background-color:rgba(0,0,0,.2);
  border-radius:3px
}

::-webkit-scrollbar-thumb:vertical {
  height:10px;
  background-color:rgba(0,0,0,.2);
  border-radius:3px
}

::-webkit-scrollbar-thumb:vertical:hover {
  background-color:rgba(0,0,0,.4)
}

::-webkit-scrollbar-thumb:horizontal {
  width:50px;
  background-color:rgba(0,0,0,.2);
  border-radius:3px
}

::-webkit-scrollbar-thumb:horizontal:hover {
  background-color:rgba(0,0,0,.4)
}

/* --------------------------------------------------------------------------
   Component: sb-scroll (custom scrolling)
   -------------------------------------------------------------------------- */


.sb-scroll-container {
  position:absolute;
  left:0;
  top:0;
  right:0;
  bottom:0;
  width:100%;
  height:100%
}

.sb-scrollable {
  position:absolute;
  -webkit-transform:translate3d(0,0,0);
  transform:translate3d(0,0,0);
  width:100%;
  z-index:500
}

.sb-scrollbar-y {
  position:absolute;
  right:0;
  top:15px;
  bottom:80px;
  width:10%;
  max-width:60px;
  z-index:10000
}

.sb-scrollbar-y-track {
  position:absolute;
  left:50%;
  top:20px;
  bottom:20px;
  width:8px;
  margin-left:-4px;
  background-color:rgba(65,80,92,.1);
  border-radius:4px;
  -webkit-transition-property:background-color;
  transition-property:background-color;
  -webkit-transition-duration:.3s;
  transition-duration:.3s
}

.sb-scrollbar-y-handle {
  position:absolute;
  width:100%;
  height:40px;
  border-radius:5px;
  background-color:rgba(65,80,92,.3);
  -webkit-transition-property:background-color;
  transition-property:background-color;
  -webkit-transition-duration:.3s;
  transition-duration:.3s
}

.highlight .sb-scrollbar-y-track {
  background-color:rgba(147,154,159,.5)
}

.highlight .sb-scrollbar-y-handle {
  background-color:rgba(65,80,92,.8)
}

.style-dark .sb-scrollbar-y-track {
  background-color:rgba(255,255,255,.15)
}

.style-dark .highlight .sb-scrollbar-y-track, .style-dark .sb-scrollbar-y-handle {
  background-color:rgba(255,255,255,.2)
}

.style-dark .highlight .sb-scrollbar-y-handle {
  background-color:rgba(255,255,255,.6)
}

.style-light .sb-scrollbar-y-track {
  background-color:rgba(0,0,0,.05)
}

.style-light .sb-scrollbar-y-handle {
  background-color:rgba(0,0,0,.1)
}

.style-light .highlight .sb-scrollbar-y-track {
  background-color:rgba(0,0,0,.15)
}

.style-light .highlight .sb-scrollbar-y-handle {
  background-color:rgba(0,0,0,.5)
}

/* --------------------------------------------------------------------------
   Component: pips / pagination dots
   -------------------------------------------------------------------------- */


.pip {
  border:2px solid #FcFcFc;
  background-color:rgba(0,0,0,.4);
  -webkit-transition-property:background-color, border-width;
  transition-property:background-color, border-width;
  -webkit-transition-duration:.3s;
  transition-duration:.3s;
  border-radius:100%;
  cursor:pointer;
  overflow:hidden;
  text-align:center;
  line-height:20px;
  text-indent:-50px;
  box-sizing:border-box;
  box-shadow:0 0 5px rgba(0,0,0,.32)
}

.pip.active {
  border-width:5px;
  background-color:rgba(255,255,255,.4)
}

.pip:hover {
  background-color:rgba(255,255,255,.7)
}

.home-page .sb-scrollbar-y {
  right:0;
  top:135px;
  bottom:80px;
  width:10%
}

.icons {
  display:none
}

.ratio-1 {
  width:1440px;
  height:1440px
}

.social {
  height:30px
}



.close-btn {
    position: fixed;
    top: 0;
    left: 0;
    -webkit-transform: translate3d(-50px, -50px, 0);
    transform: translate3d(-50px, -50px, 0);
    -webkit-transition-delay: 0s;
    transition-delay: 0s;
    -webkit-transition-duration: .3s;
    transition-duration: .3s;
    width: 40px;
    height: 40px;
    font-size: 2rem;
    font-weight: 700;
    text-align: center;
    z-index: 3001;
    cursor: pointer;
    color:rgb(152, 181, 36);
}

.close-btn .icon {
    display: block;
    width: 30px;
    height: 30px;
    fill: rgb(152, 181, 36);
    cursor: pointer;
    margin-left: 5px;
    margin-top: 5px;
    -webkit-transition-duration: .2s;
    transition-duration: .2s;
    -webkit-transform: translate3d(0, 0, 0);
    transform:translate3d(0, 0, 0)
}

.close-btn:after {
    content: '';
    position: absolute;
    display: block;
    left: -5px;
    top: -5px;
    width: 40px;
    height:40px
}

.close-btn.active {
    -webkit-transition-delay: .4s;
    transition-delay: .4s;
    -webkit-transform: translate3d(20px, 20px, 0);
    transform:translate3d(20px, 20px, 0)
}

.close-btn.active:active .icon, .close-btn.active:hover .icon {
    -webkit-transition-delay: 0s;
    transition-delay: 0s;
    margin-left: 0;
    margin-top:0
}


.about-btn {
    position: absolute;
    right: 0;
    top: 10px;
    width: 10%;
    max-width: 60px;
    height: 120px;
    z-index:550
}

.about-btn a {
    display: block;
    position: absolute;
    left: 50%;
    top: 45px;
    -webkit-transform: translate3d(-50%, 0, 0) rotate(90deg);
    transform: translate3d(-50%, 0, 0) rotate(90deg);
    font-size: 1.3rem;
    font-weight: 600;
    line-height: 40px;
    height: 40px;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: .05rem;
    z-index: 50;
    cursor: pointer;
    width: 90px;
    border-radius: 4px;
    color: #d5d5d5;
    -webkit-transition-duration: .3s;
    transition-duration:.3s
}

.about-btn a:hover {
    color: rgb(152, 181, 36);
    text-shadow:0 0 1px rgba(0, 0, 0, .1)
}



.copyright {
    position: fixed;
    right: 0;
    bottom: 0;
    width: 10%;
    max-width: 60px;
    height: 80px;
    z-index:550
}

.copyright span {
    font-family: HelveticaNeue, Arial, sans-serif;
    text-align: right;
    font-size: .9rem;
    font-weight: 700;
    text-transform: uppercase;
    z-index: 50;
    cursor: default;
    line-height: 40px;
    width: 70px;
    height: 40px;
    color: #d5d5d5;
    display: block;
    position: absolute;
    left: 50%;
    top: 0;
    -webkit-transform: translate3d(-50%, 0, 0) rotate(90deg);
    transform:translate3d(-50%, 0, 0) rotate(90deg)
}

.copyright.dark-mode span {
    color:rgba(255, 255, 255, .3)
}

.copyright.light-mode span {
    color:rgba(0, 0, 0, .3)
}

/* === Apple-Style Logo Animation === */

.extrawelt-logo {
  opacity: 0;
  transform: translateY(20px);
  animation: logoIntro 0.8s ease-out forwards;
  animation-delay: 0.25s;
}

@keyframes logoIntro {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.copyright span {
  opacity: 0;
  animation: copyrightIntro 0.8s ease-out forwards;
  animation-delay: 1s;
}

@keyframes copyrightIntro {
  100% { opacity: 1; }
}



.no-logo-anim .extrawelt-logo,
.no-logo-anim .copyright span {
  animation: none !important;
  opacity: 1 !important;

}